VkPhysicalDeviceProperties Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkPhysicalDeviceProperties:
[legend]

## Data Fields

uint32_t | apiVersion
uint32_t | driverVersion
uint32_t | vendorID
uint32_t | deviceID
VkPhysicalDeviceType | deviceType
char | deviceName [VK_MAX_PHYSICAL_DEVICE_NAME_SIZE]
uint8_t | pipelineCacheUUID [VK_UUID_SIZE]
VkPhysicalDeviceLimits | limits
VkPhysicalDeviceSparseProperties | sparseProperties

## Detailed Description

Definition at line 1988 of file vulkan_core.h.

## Field Documentation

## apiVersion

uint32_t VkPhysicalDeviceProperties::apiVersion

Definition at line 1989 of file vulkan_core.h.

Referenced by findPhysicalDevice().

## deviceID

uint32_t VkPhysicalDeviceProperties::deviceID

Definition at line 1992 of file vulkan_core.h.

## deviceName

char VkPhysicalDeviceProperties::deviceName[VK_MAX_PHYSICAL_DEVICE_NAME_SIZE]

Definition at line 1994 of file vulkan_core.h.

## deviceType

VkPhysicalDeviceType VkPhysicalDeviceProperties::deviceType

Definition at line 1993 of file vulkan_core.h.

## driverVersion

uint32_t VkPhysicalDeviceProperties::driverVersion

Definition at line 1990 of file vulkan_core.h.

## limits

VkPhysicalDeviceLimits VkPhysicalDeviceProperties::limits

Definition at line 1996 of file vulkan_core.h.

## pipelineCacheUUID

uint8_t VkPhysicalDeviceProperties::pipelineCacheUUID[VK_UUID_SIZE]

Definition at line 1995 of file vulkan_core.h.

## sparseProperties

VkPhysicalDeviceSparseProperties VkPhysicalDeviceProperties::sparseProperties

Definition at line 1997 of file vulkan_core.h.

## vendorID

uint32_t VkPhysicalDeviceProperties::vendorID

Definition at line 1991 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h